import { world, system, EntityInventoryComponent } from "@minecraft/server";
import { HornedBreak } from "./impl/exports";
import { findItemsWithTag } from "./functions";

system.runInterval(() => {
    for (const player of world.getPlayers()) {
        const playerInventoryContainer = player.getComponent(EntityInventoryComponent.componentId).container;

        findItemsWithTag(player, "horned_break")
            .map(found => {
                found.itemStack.setLore(["\n§r§9+1 Shell Jumping"]);
                playerInventoryContainer.setItem(found.slot, found.itemStack);
            })
        HornedBreak.execute(player);
    }
}, 0);